package com.xtd.project.activiti.mapper;


import com.xtd.project.activiti.domain.MyFormDataActiviti;
import com.xtd.project.activiti.domain.MyFormDataActivitiExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MyFormDataActivitiMapper {
    int countByExample(MyFormDataActivitiExample example);

    int deleteByExample(MyFormDataActivitiExample example);

    int deleteByPrimaryKey(Long fId);

    int insert(MyFormDataActiviti record);

    int insertSelective(MyFormDataActiviti record);

    List<MyFormDataActiviti> selectByExample(MyFormDataActivitiExample example);

    MyFormDataActiviti selectByPrimaryKey(Long fId);

    int updateByExampleSelective(@Param("record") MyFormDataActiviti record, @Param("example") MyFormDataActivitiExample example);

    int updateByExample(@Param("record") MyFormDataActiviti record, @Param("example") MyFormDataActivitiExample example);

    int updateByPrimaryKeySelective(MyFormDataActiviti record);

    int updateByPrimaryKey(MyFormDataActiviti record);

    List<MyFormDataActiviti> taskDoneList(@Param("myFormDataActiviti") MyFormDataActiviti myFormDataActiviti);
}
